<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('authentication_tokens', function (Blueprint $table) {
            $table->string('user_agent')->nullable();
            $table->string('ip')->nullable();
            $table->timestamp('issued_at');
            $table->timestamp('expires_at');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('authentication_tokens', function (Blueprint $table) {
            //
        });
    }
};
